Preview merged configuration
Returns the result of merging the source branch into the target branch without performing the merge. Useful for showing an accurate diff before confirming.
Path parameters
agent_id
The id of an agent. This is returned on agent creation.
source_branch_id
Unique identifier for the source branch to merge from.
Headers
xi-api-key
Query parameters
target_branch_id
The ID of the target branch to merge into.
force
When true, source branch changes always win conflicts regardless of timestamps
Response
Successful Response
agent_id
The ID of the agent
name
The name of the agent
conversation_config
The conversation configuration of the agent
metadata
The metadata of the agent
platform_settings
The platform settings of the agent
phone_numbers
The phone numbers of the agent
whatsapp_accounts
WhatsApp accounts assigned to the agent
workflow
The workflow of the agent
access_info
The access information of the agent for the user
version_id
The ID of the version the agent is on
branch_id
The ID of the branch the agent is on
main_branch_id
The ID of the main branch for this agent
overridden_fields
Dot-paths of config fields where both branches modified the same field relative to their common ancestor (conflicts). Present regardless of which side wins the conflict.
source_identical_to_target
True when the merge/rebase would be a no-op, i.e. the merged result is identical to the source branch tip. The rebase endpoint rejects in this case.
Errors
422
Merge Preview Request Unprocessable Entity Error